<?php
/* Autor...:  */
/* Esquema.: PLA_MarcacionEmpleado.xml */
/* Generado: 2020-08-18 04:21:29 */

/* Metodos de acceso a los campos de la tabla PLA_MarcacionEmpleado */
abstract class BasePLA_MarcacionEmpleadoBN
{
    /* Campos de la tabla */
    private $i_IdDiaSem;    // IdDiaSem: ( no definido )
    private $s_IdTipo;    // IdTipo: ( no definido )
    private $s_IdRegistro;    // IdRegistro: ( no definido )
    private $i_IdPersona;    // IdPersona: ( no definido )
    private $s_HoraMinutoDesde;    // HoraMinutoDesde: ( no definido )
    private $s_HoraMinutoHasta;    // HoraMinutoHasta: ( no definido )
    private $i_DiaSiguienteFlag;    // DiaSiguienteFlag: ( no definido )
    private $s_Estado;    // Estado: ( no definido )
    private $i_Eliminado;    // Eliminado: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )
    private $d_FechaCreacion;    // FechaCreacion: ( no definido )
    private $s_UsuarioModificacion;    // UsuarioModificacion: ( no definido )
    private $d_FechaModificacion;    // FechaModificacion: ( no definido )
    private $s_UsuarioEliminado;    // UsuarioEliminado: ( no definido )
    private $d_FechaEliminado;    // FechaEliminado: ( no definido )

    /* Establece el valor del campo IdDiaSem */
    public function setIdDiaSem( $i_IdDiaSem )
    {
        $this->i_IdDiaSem = $i_IdDiaSem;
    }

    /* Obtiene el valor del campo IdDiaSem */
    public function getIdDiaSem()
    {
        return $this->i_IdDiaSem;
    }

    /* Establece el valor del campo IdTipo */
    public function setIdTipo( $s_IdTipo )
    {
        $this->s_IdTipo = $s_IdTipo;
    }

    /* Obtiene el valor del campo IdTipo */
    public function getIdTipo()
    {
        return $this->s_IdTipo;
    }

    /* Establece el valor del campo IdRegistro */
    public function setIdRegistro( $s_IdRegistro )
    {
        $this->s_IdRegistro = $s_IdRegistro;
    }

    /* Obtiene el valor del campo IdRegistro */
    public function getIdRegistro()
    {
        return $this->s_IdRegistro;
    }

    /* Establece el valor del campo IdPersona */
    public function setIdPersona( $i_IdPersona )
    {
        $this->i_IdPersona = $i_IdPersona;
    }

    /* Obtiene el valor del campo IdPersona */
    public function getIdPersona()
    {
        return $this->i_IdPersona;
    }

    /* Establece el valor del campo HoraMinutoDesde */
    public function setHoraMinutoDesde( $s_HoraMinutoDesde )
    {
        $this->s_HoraMinutoDesde = $s_HoraMinutoDesde;
    }

    /* Obtiene el valor del campo HoraMinutoDesde */
    public function getHoraMinutoDesde()
    {
        return $this->s_HoraMinutoDesde;
    }

    /* Establece el valor del campo HoraMinutoHasta */
    public function setHoraMinutoHasta( $s_HoraMinutoHasta )
    {
        $this->s_HoraMinutoHasta = $s_HoraMinutoHasta;
    }

    /* Obtiene el valor del campo HoraMinutoHasta */
    public function getHoraMinutoHasta()
    {
        return $this->s_HoraMinutoHasta;
    }

    /* Establece el valor del campo DiaSiguienteFlag */
    public function setDiaSiguienteFlag( $i_DiaSiguienteFlag )
    {
        $this->i_DiaSiguienteFlag = $i_DiaSiguienteFlag;
    }

    /* Obtiene el valor del campo DiaSiguienteFlag */
    public function getDiaSiguienteFlag()
    {
        return $this->i_DiaSiguienteFlag;
    }

    /* Establece el valor del campo Estado */
    public function setEstado( $s_Estado )
    {
        $this->s_Estado = $s_Estado;
    }

    /* Obtiene el valor del campo Estado */
    public function getEstado()
    {
        return $this->s_Estado;
    }

    /* Establece el valor del campo Eliminado */
    public function setEliminado( $i_Eliminado )
    {
        $this->i_Eliminado = $i_Eliminado;
    }

    /* Obtiene el valor del campo Eliminado */
    public function getEliminado()
    {
        return $this->i_Eliminado;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $d_FechaCreacion )
    {
        $this->d_FechaCreacion = $d_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->d_FechaCreacion;
    }

    /* Establece el valor del campo UsuarioModificacion */
    public function setUsuarioModificacion( $s_UsuarioModificacion )
    {
        $this->s_UsuarioModificacion = $s_UsuarioModificacion;
    }

    /* Obtiene el valor del campo UsuarioModificacion */
    public function getUsuarioModificacion()
    {
        return $this->s_UsuarioModificacion;
    }

    /* Establece el valor del campo FechaModificacion */
    public function setFechaModificacion( $d_FechaModificacion )
    {
        $this->d_FechaModificacion = $d_FechaModificacion;
    }

    /* Obtiene el valor del campo FechaModificacion */
    public function getFechaModificacion()
    {
        return $this->d_FechaModificacion;
    }

    /* Establece el valor del campo UsuarioEliminado */
    public function setUsuarioEliminado( $s_UsuarioEliminado )
    {
        $this->s_UsuarioEliminado = $s_UsuarioEliminado;
    }

    /* Obtiene el valor del campo UsuarioEliminado */
    public function getUsuarioEliminado()
    {
        return $this->s_UsuarioEliminado;
    }

    /* Establece el valor del campo FechaEliminado */
    public function setFechaEliminado( $d_FechaEliminado )
    {
        $this->d_FechaEliminado = $d_FechaEliminado;
    }

    /* Obtiene el valor del campo FechaEliminado */
    public function getFechaEliminado()
    {
        return $this->d_FechaEliminado;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdDiaSem' => $this->getIdDiaSem(),
            'IdTipo' => $this->getIdTipo(),
            'IdRegistro' => $this->getIdRegistro(),
            'IdPersona' => $this->getIdPersona(),
            'HoraMinutoDesde' => $this->getHoraMinutoDesde(),
            'HoraMinutoHasta' => $this->getHoraMinutoHasta(),
            'DiaSiguienteFlag' => $this->getDiaSiguienteFlag(),
            'Estado' => $this->getEstado(),
            'Eliminado' => $this->getEliminado(),
            'UsuarioCreacion' => $this->getUsuarioCreacion(),
            'FechaCreacion' => $this->getFechaCreacion(),
            'UsuarioModificacion' => $this->getUsuarioModificacion(),
            'FechaModificacion' => $this->getFechaModificacion(),
            'UsuarioEliminado' => $this->getUsuarioEliminado(),
            'FechaEliminado' => $this->getFechaEliminado(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto PLA_MarcacionEmpleadoBN desde un RecordSet */
    public static function retrieveByRs( $o_PLA_MarcacionEmpleadoRs )
    {
        $o_PLA_MarcacionEmpleadoBN = new PLA_MarcacionEmpleadoBN();
        $o_PLA_MarcacionEmpleadoBN->setIdDiaSem( ( integer ) $o_PLA_MarcacionEmpleadoRs[ "IdDiaSem" ] );
        $o_PLA_MarcacionEmpleadoBN->setIdTipo( $o_PLA_MarcacionEmpleadoRs[ "IdTipo" ] );
        $o_PLA_MarcacionEmpleadoBN->setIdRegistro( $o_PLA_MarcacionEmpleadoRs[ "IdRegistro" ] );
        $o_PLA_MarcacionEmpleadoBN->setIdPersona( ( integer ) $o_PLA_MarcacionEmpleadoRs[ "IdPersona" ] );
        $o_PLA_MarcacionEmpleadoBN->setHoraMinutoDesde( $o_PLA_MarcacionEmpleadoRs[ "HoraMinutoDesde" ] );
        $o_PLA_MarcacionEmpleadoBN->setHoraMinutoHasta( $o_PLA_MarcacionEmpleadoRs[ "HoraMinutoHasta" ] );
        $o_PLA_MarcacionEmpleadoBN->setDiaSiguienteFlag( ( integer ) $o_PLA_MarcacionEmpleadoRs[ "DiaSiguienteFlag" ] );
        $o_PLA_MarcacionEmpleadoBN->setEstado( $o_PLA_MarcacionEmpleadoRs[ "Estado" ] );
        $o_PLA_MarcacionEmpleadoBN->setEliminado( ( integer ) $o_PLA_MarcacionEmpleadoRs[ "Eliminado" ] );
        $o_PLA_MarcacionEmpleadoBN->setUsuarioCreacion( $o_PLA_MarcacionEmpleadoRs[ "UsuarioCreacion" ] );
        $o_PLA_MarcacionEmpleadoBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_PLA_MarcacionEmpleadoRs[ "FechaCreacion" ], "Y-m-d H:i:s" ) );
        $o_PLA_MarcacionEmpleadoBN->setUsuarioModificacion( $o_PLA_MarcacionEmpleadoRs[ "UsuarioModificacion" ] );
        $o_PLA_MarcacionEmpleadoBN->setFechaModificacion( utilTimestamp::getTimestamp( $o_PLA_MarcacionEmpleadoRs[ "FechaModificacion" ], "Y-m-d H:i:s" ) );
        $o_PLA_MarcacionEmpleadoBN->setUsuarioEliminado( $o_PLA_MarcacionEmpleadoRs[ "UsuarioEliminado" ] );
        $o_PLA_MarcacionEmpleadoBN->setFechaEliminado( utilTimestamp::getTimestamp( $o_PLA_MarcacionEmpleadoRs[ "FechaEliminado" ], "Y-m-d H:i:s" ) );
        return $o_PLA_MarcacionEmpleadoBN;
    }
}
?>